<?php
/*
Plugin Name: 2StepOptins
Plugin URI: http://www.2stepoptins.com
Description: Create 2 Step Optins with Just Some Clicks.
Author: 2stepoptins.com
Version: 1.0
Author URI: http://www.2stepoptins.com
*/

add_action('admin_head', 'w2stepoptins_add_my_tc_button');
add_action('admin_enqueue_scripts', 'w2stepoptins_tc_css');

function w2stepoptins_add_my_tc_button() {
    global $typenow;
  
    if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') ) {
   	return;
    }
    
    if( ! in_array( $typenow, array( 'post', 'page','qsp','wpst' ) ) )
        return;
	// sprawdzamy czy user ma włączony edytor WYSIWYG
	if ( get_user_option('rich_editing') == 'true') {
		add_filter("mce_external_plugins", "w2stepoptins_add_tinymce_plugin");
		add_filter('mce_buttons', 'w2stepoptins_register_my_tc_button');
	}
}

function w2stepoptins_add_tinymce_plugin($plugin_array) {
   	$plugin_array['w2stepoptins_tc_button'] = plugins_url( '/complex-popup-button.js', __FILE__ ); 
   	return $plugin_array;
}

function w2stepoptins_register_my_tc_button($buttons) {
   array_push($buttons, "w2stepoptins_tc_button");
   return $buttons;
}

function w2stepoptins_tc_css() {
	wp_enqueue_style('w2stepoptins-tc', plugins_url('/style.css', __FILE__));
}




//shortcode

function w2stepoptins_shortcode1($atts,$content = null) {
  extract( shortcode_atts( array(
  'ar' => 'aweber',
  'campaignid' => '123456',
  'style' => 'blue',
  'nameph' => 'Enter your Name...',
  'emailph' => 'Enter your Primary Email...',
  'button1' => 'Click Here To Access',
  'button1pos' => 'center',
  'button2' => 'Click to Continue',
  'header' => 'Step 1: Enter Your Details',
  'actionurl' => '',
  'namefield' => '',
  'emailfield' => '',
  'listfield' => '',
  'awalreadyinurl' => '',
  'awsuccessurl' => '',
  'image' => ''
 ), $atts ) );

 
 $finalbuttoncolor = $buttoncolor . 'btn';

    //CSS 
    wp_register_style('w2stepoptins_css', plugins_url('shortcode.css',__FILE__));
	wp_enqueue_style('w2stepoptins_css');


	

//Aweber customer redirect for already subscribed users.
	
if ($awalreadyinurl ===""){
	
		$aw_alreadyinurl= "";
		
  }else{
	
		$aw_alreadyinurl= "<input type='hidden' name='meta_redirect_onlist' value='$awalreadyinurl' />
		<input type='hidden' name='meta_message' value='1' />";
	
  }	




//Aweber success redirect page.
	
if ($awsuccessurl ===""){
	
		$aw_successurl= "";
		
  }else{
	
		$aw_successurl= "<input type='hidden' name='redirect' value='$awsuccessurl'/>";
	
  }	
  
  
  
  
 switch($ar) { 
 
	case "aweber": 
		$actionurl = "http://www.aweber.com/scripts/addlead.pl";
		$field_email="email";
		$field_name="name";
		$campaigncode = "<input type='hidden' name='listname' value='$campaignid' />";
		
		
		$extracode ="";
		break;
		
	case "getresponse": 
		$actionurl="https://app.getresponse.com/add_contact_webform.html";
		$field_email="email";
		$field_name="name";
		$campaigncode = "<input type='hidden' name='webform_id' value='$campaignid'/>";
		$extracode="<script type='text/javascript' src='http://app.getresponse.com/view_webform.js?wid=$campaignid&mg_param1=1'></script> ";
		break;

	case "sendreach": 
		$actionurl="https://register.sendreach.com/forms/?listid=$campaignid";
		$field_email="email";
		$field_name="name";
		$campaigncode = "<input type='hidden' name='listfield' value='$campaignid'/>";
		$extracode="";
		break;

	case "other": 
		$campaigncode = "<input type='hidden' name='lid' value='$campaignid'/>";
		$extracode="";
		break;

		
		
}	


  if ($image ===""){
	
	
		$invokercode = "<div id='content'>
		<div id='button_$style' class='button_$style' onclick='displayPopup();'>$button1</div>
		<br>
		</div>";

	
	
  }else{
		
		
		
		if (strpos($image,'.') == false){
				$image = plugins_url('/images/'.$image .'.gif',__FILE__);
		}else{
				
				
		}
	
	


		$invokercode = "<div id='content'>
		<a href='#' onclick='displayPopup()'><img src='$image'></a>
		<br>
		</div>";
	
  }
 
 
 $invokercode = "<div align='$button1pos'>". $invokercode . "</div>";
 
  $w2stepoptins_html = "<div id='popup-layer'></div>
		<div id='popup-holder'>
			<div id='popup-itself'>
				<div id='popup-header_$style'>$header</div>
				<div id='arform'>
					<form action='$actionurl' method='post' id='arform'>
					$campaigncode		
					<input type='text' name='$field_name' id='arinput' class='input' placeholder='$nameph'>
					<input type='text' name='$field_email' id='arinput' class='input' placeholder='$emailph'>
					<input type='submit' name='submit' id='step2button_$style' class='step2button_$style' value='$button2'>
					$campaigncode
					$aw_alreadyinurl
					$aw_successurl
					$content
					</form>
					$extracode
				</div>
			</div>
		</div>
		
		
		
		
		
	
	$invokercode
		
		
		
	<script>
	function displayPopup() {
		document.getElementById('popup-layer').style.display = 'inline';
		document.getElementById('popup-holder').style.display = 'inline';
	}
	
	
	window.onkeyup = function(e) {
		if (e.keyCode === 27) {
			document.getElementById('popup-layer').style.display = 'none';
			document.getElementById('popup-holder').style.display = 'none';
		}
	}
	

	function hidePopup() {
		document.getElementById('popup-layer').style.display = 'none';
		document.getElementById('popup-holder').style.display = 'none';
	}
	
	function stopExternalEventPropagation(endClickEvent) {
		endClickEvent.stopPropagation();
	}
	document.addEventListener('mouseup', hidePopup);
	document.getElementById('popup-itself').addEventListener('mouseup', stopExternalEventPropagation);
	</script>";
 
 
 
 return  $w2stepoptins_html;
 
 
}
add_shortcode('2stepoptins', 'w2stepoptins_shortcode1');



//Widget


define('w2stepoptins_WIDGET_TEXT_DOMAIN','w2stepoptins_widget');

require_once('class-shortcode-widget.php');

function w2stepoptins_shortcode_widget_init(){
	register_widget('w2stepoptins_Widget');
}
add_action('widgets_init','w2stepoptins_shortcode_widget_init');

function w2stepoptins_widget_load_text_domain(){
	load_plugin_textdomain( w2stepoptins_WIDGET_TEXT_DOMAIN, false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
}
add_action('plugins_loaded','w2stepoptins_widget_load_text_domain');

add_shortcode('w2stepoptins_shortcode_widget_test', 'w2stepoptins_shortcode_widget_test_output');
function w2stepoptins_shortcode_widget_test_output($args){
	return "It works";
}

